FROM nginx:1.17.8-alpine

ENV SCGI_SOURCE_PORT=5000
ENV SCGI_SOURCE_HOST=localhost

RUN apk add --no-cache gettext

ADD entrypoint.sh /
ADD nginx.conf /nginx.conf.tmpl

CMD ["/bin/sh", "-c", "envsubst < /nginx.conf.tmpl > /etc/nginx/conf.d/default.conf && nginx -g 'daemon off;'"]
